rwtop(1m)

NAME
rwtop - display top read/write bytes process. Uses DTrace.

SYNOPSIS
rwtop [-Cc] [-j|-Z] [-n name] [-p PID] [-t top] [interval [count]]

DESCRIPTION
This is measuring reads and writes at the application level. This matches read and write system calls. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the sysinfo provider.

OPTIONS

-C  don't clear the screen

-c  print counts

-j  print project ID

-Z  print zone ID

-n name
    process name to track

-p PID
    PID to track

-t top
    print top number only

EXAMPLES

Default output, print summary every 5 seconds
    # rwtop

One second samples,
    # rwtop 1

Print top 10 lines only,
    # rwtop -t 10

Monitor processes named "bash",
    # rwtop -n bash

Print 12 x 5 second samples, scrolling,
    # rwtop -C 5 12

FIELDS

PROJ
    project ID

ZONE
    zone ID

UID user ID

PID process ID

PPID
    parent process ID

CMD command name for the process

D   direction, Read or Write

BYTES
    total bytes during sample

load
    1 minute load average

app_r
    total read Kb for sample

app_w
    total write Kb for sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
rwtop will run forever until Ctrl-C is hit, or the specified interval is reached.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
iotop(1M), dtrace(1M)